Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::thread::function_wrapper::impl_base Struct Reference
Inheritance diagram for osmium::thread::function_wrapper::impl_base:
[legend]

## Public Member Functions
| impl_base () noexcept=default
| impl_base (const impl_base &) noexcept=default
impl_base & | operator= (const impl_base &) noexcept=default
| impl_base (impl_base &&) noexcept=default
impl_base & | operator= (impl_base &&) noexcept=default
virtual | ~impl_base () noexcept=default
virtual bool | call ()

## Constructor & Destructor Documentation

## ◆ impl_base() [1/3]

osmium::thread::function_wrapper::impl_base::impl_base | ( |  | ) |
| default noexcept

## ◆ impl_base() [2/3]

osmium::thread::function_wrapper::impl_base::impl_base | ( | const impl_base & |  | ) |
| default noexcept

## ◆ impl_base() [3/3]

osmium::thread::function_wrapper::impl_base::impl_base | ( | impl_base && |  | ) |
| default noexcept

## ◆ ~impl_base()

virtual osmium::thread::function_wrapper::impl_base::~impl_base | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ call()

virtual bool osmium::thread::function_wrapper::impl_base::call | ( |  | ) |
| inline virtual

Reimplemented in osmium::thread::function_wrapper::impl_type< F >.

## ◆ operator=() [1/2]

impl_base & osmium::thread::function_wrapper::impl_base::operator= | ( | const impl_base & |  | ) |
| default noexcept

## ◆ operator=() [2/2]

impl_base & osmium::thread::function_wrapper::impl_base::operator= | ( | impl_base && |  | ) |
| default noexcept

The documentation for this struct was generated from the following file:

- include/osmium/thread/function_wrapper.hpp